This plugin has been closed and is no longer available for download.

WooCommerce German (de_DE)

Description

Kompatibel mit WooCommerce 2.2 und 2.1 — Works great with WooCommerce 2.2+ and former 2.1.x branch!

(English description below German version!)

DE:

Dieses Sprach-Plugin erweitert das WooCommerce Shop-Basisplugin mit komplett übersetzten deutschen Sprachdateien – in SIE- und DU-Version (formell/ informell).

Motto: Schlüssige, sachgemäßge und geschäftstaugliche Übersetzungen.

Konsistente Sprachdateien und alles aus einer Hand: Sie- und Du-Version.

Langjährige Erfahrung: Kompetente Übersetzungspflege für WooCommerce seit 2011.

Hinweis: Als Basis-Plugin ist natürlich WooCommerce erforderlich! “WooCommerce Deutsch (de_DE)” ist ein Sprach-Plugin — dabei ist es eine gute Alternative (unter vielen), um WooCommerce gutes Deutsch beizubringen ;-).

Nutzen durch dieses Sprach-Plugin:

  • WooCommerce in ordentlichem Deutsch: klare Übersetzungsprinzipien – geschäftstauglich, verständlich, schlüssig!
  • Von den WooCommerce-Aktualisierungszyklen unabhängige Sprachdateien
  • Update-sicher: Kein Verlust eigener/ angepasster Sprachdateien bei Aktualisierungen des WooCommerce Basisplugins!
  • Komplett übersetzt – das, was technisch geht, wird immer zu 100% übersetzt!
  • Sprachdateien aus einer Hand für Sie- und Du-Version – seit 2011! 🙂
  • Funktioniert mit verschiedenen WooCommerce-Versionen, ab WooCommerce 2.0.20 oder höher – Version 2.1.0 wird jedoch empfohlen!
  • Immer aktuell – bei neuen WooCommerce-Versionen ziehen wir nach 🙂 – dieses Plugin ist über das Plugin-Repositorium hier aktualisierbar und somit können wir “im laufenden Betrieb” aktualisieren und sind nicht mehr auf das Hinzufügen durch die WooCommerce-Entwickler angewiesen
  • Standardmäßig Unterstützung der sogen. “Button-Lösung” (Gesetz gültig ab 01.08.2012 in Deutschland) — zudem Helfer-Funktionen verfügbar, siehe Häufige Fragen (FAQ) hier, Nr. 8!
  • Eigene Plugin-Einstellungsseite, um SIE/ DU auszuwählen, sowie weitere Ladeeinstellungen
  • Feedback von Shopbetreibern/ Benutzern fliesst in Sprachdateipflege regelmässig mit ein
  • Plugin bietet eine zusätzliche Möglichkeit via WordPress Sprachdateien-Ordner eine Update-sichere, eigene Sprachdatei zu verwenden! (Hinweise dazu: siehe unter “Installation”)
  • Hilfe-Tab bei “WooCommerce Einstellungen” mit wichtigen Infos.

Kleine Video-Einführung

mit Plugin-Entwickler & Übersetzer David Decker Original Video-Link

Funktionsweise:

  • Dieses Plugin überscheibt lediglich den Ladeprozess der Sprachdateien
  • Modifikationen am eigentlichen WooCommerce Basisplugin bzw. den dort beigepackten Sprachdateien finden IN KEINSTER WEISE statt!
  • Einfach dieses Übersetzungs-Plugin aktivieren, bis zu 5 Einstellungen tätigen, fertig.
  • Plugin-eigene Einstellungen-Seite, um SIE/ DU auszuwählen, sowie weitere Ladeeinstellungen
  • Bis WooCommerce 2.0.x: Die Auswahl-Option für Sie-/ Du-Anrede in den alten WooCommerce-Einstellungen selbst (), wird natürlich unterstützt!

Voraussetzungen:

  • WooCommerce ab Version 2.1.0+ (v2.0.x nur noch für Übergangszeit unterstützt!)
  • Damit verbunden WordPress ab Version 3.8+ (Die 3.6 nur noch für den 2.0.x Zweig…)

Extensions (Erweiterungen)

Unterstützung für ausgewählte Extensions ab Plugin-Version 3.0.4, derzeit 35 Plugins. Unter Umständen könnten weitere im Laufe der Zeit folgen. — Gegen Bezahlung ist auf Wunsch die Übersetzung gewünschter Extensions möglich. Weitere Informationen dazu hier unter “Other Notes”.

Performance-Hinweise: Extension-Support wird pro Erweiterung nur geladen, falls diese auch aktiv ist! Außerdem wird, sofern irgend möglich, eine Unterscheidung Frontend/ Backend unterstützt. Ist keine der Erweiterungen aktiv, bitte das Laden in den Plugin-Einstellungen abschalten :).

Bitte beachten:

Dieses Plugin ist ein reines Sprach-/ Übersetzungs-Plugin, es hat nichts mit “Rechtssicherheit” zu tun. Bitte die wichtigen Hinweise hier beachten, sowie ebenso im Bereich der Häufigen Fragen (FAQ) plus Installation!

Haftungsausschluss:

Durch den Einsatz dieses Plugins und der damit angebotenen Sprachdateien entstehen KEINE Garantien für eine korrekte Funktionsweise oder etwaige Verpflichtungen durch den Übersetzer! — Alle Angaben ohne Gewähr. Änderungen und Irrtümer ausdrücklich vorbehalten. Verwendung des Plugins inkl. Sprachdateien geschieht ausschliesslich auf eigene Verantwortung!

Dieses Plugin ist völlig optional – es ist eine von mehreren möglichen Alternativen, um WooCommerce einzudeutschen.

Empfohlen:

Ein Plugin von DECKERWEB.de und WPDeutsch.info

Feedback

  • Ich bin offen für Vorschläge und Korrekturen! – Danke fürs Einsetzen bzw. Ausprobieren einer meiner Plugins!
  • Kontakt via Twitter @deckerweb
  • Folge mir +David Decker bei Google Plus 😉

Tipps & Mehr

Dieses Plugin…

  • …ist Qualität Made in Germany
  • …wurde mit viel Liebe (und einigen Tassen Kaffee) unter Ubuntu Linux erstellt 🙂

EN:

Note: WooCommerce as base plugin is required! “WooCommerce German (de_DE)” is a special language pack plugin for German-based locales. It is one alternative (amongst others) to let WooCommerce speak some proper German, hehe! 🙂

This plugin just works – it fully ignores the original packaged languages files of the German locale and so gives shop admins another alternative if they want their shop backend/frontend to appear in a more polished/streamlined language.

All translations are maintained from one source and so the user has way better experience no matter if informal or formal versions are needed. User feedback from shop admins goes in every translation improving the translations more and more for real-life usage.

Extensions:

Support for a hand-picked list for usefull extensions is added/ supported since plugin version 3.0.4. More extensions are rarely to follow here. — I could also translate your wanted extension if you contact me. This then will handled via a fee for the translation work. My contact is: deckerweb.de/kontakt.

Performance notes: Extension support is loaded on a per extension basis if the extension is active! Also, if at all possible different loading for frontend/ backend is supported as well.

Translations: Internationalization (i18n) / Localization (L10n)

  • English (default) – always included
  • German (de_DE) – always included
  • .pot file (woocommerce-german.pot) for translators is also always included 🙂
  • Your translation? – Just send it in

A plugin from deckerweb.de and GenesisThemes

Feedback

  • I am open for your suggestions and feedback – Thank you for using or trying out one of my plugins!
  • Drop me a line @deckerweb on Twitter
  • Follow me on my Facebook page
  • Or follow me on +David Decker on Google Plus 😉

This Plugin…

  • …is Quality Made in Germany
  • …was created with love (plus some coffee) on an Ubuntu Linux powered machine 🙂

Tips & More

Unterstützte WooCommerce-Versionen / Supported WooCommerce Versions

  • Aktueller Zweig: v2.2.0 bzw. 2.2.2 (ab September 2014)
  • Vorheriger Zweig: v2.1.x bis v2.1.12 (Februar-Juli 2014)
  • (ACHTUNG: Alter Zweig: v2.0.0 – v2.0.20 (März-Dezember 2013) — nur bis Sprachplugin-Version 3.1.5 enthalten!)

(Hinweis: Sogenannte “Button-Lösung” wird beim Text des Kaufen-Buttons natürlich voll unterstützt – um den Rest (Aufbau Bezahlvorgang, Bedingungen, etc.) muss man sich jedoch anderweitig kümmern. Siehe auch unter “FAQ”.)

Unterstützte Extensions (Erweiterungen) / Supported Extensions

(1) Versand, Verfügbarkeit / Shipping, Availability

  • WooCommerce Table Rate Shipping, offizielle Version (premium, via WooThemes)
  • WooCommerce Table Rate Shipping, CodeCanyon Version (premium, via CodeCanyon Marketplace)
  • WooCommerce Shipping Per Product (premium, via WooThemes)
  • WooCommerce Cart Based Shipping (premium, via CodeCanyon Marketplace)
  • WooCommerce Custom Availability (premium, via CodeCanyon Marketplace)
  • Shipping Details for WooCommerce (premium, via CodeCanyon Marketplace) – optimierte Sprachdatei, ohne ausländische Dienste-Übersetzungen! 🙂
  • WooCommerce Bundle Rate Shipping (premium, via CodeCanyon Marketplace)
  • AWD Weight/Country Shipping (free, via WordPress.org)
  • WooCommerce PIP – Print Invoices/ Packing Lists (premium, via WooThemes)

(2) Zahlungsarten / Gateways

  • Klarna (premium, via WooThemes) – mit Klarna Invoice, Klarna Account, Klarna Special Campaigns
  • Google Wallet (premium, via WooThemes)
  • Skrill (premium, via WooThemes)
  • Ogone (premium, via WooThemes)
  • PayPal Express (premium, via WooThemes)
  • PayPal Digital Goods (premium, via WooThemes)
  • WooCommerce Paymill Gateway (premium, via CodeCanyon Marketplace – user ‘kprimdal’)

(3) Gutscheine, Rabatte, Gebühren / Coupons, Discounts, Fees

  • WooCommerce Payment Discounts (free, via WordPress.org)
  • WooCommerce Custom Coupon Message (free, via WordPress.org)

(4) Alles andere / All other stuff 🙂

  • WooCommerce Gravity Forms Product Add-Ons (premium, via WooThemes)
  • WooCommerce QR Code Generator (premium, via WooThemes)
  • WooCommerce All In One SEO Pack (free, via WordPress.org)
  • WooCommerce Video Product Tab (free, via WordPress.org)
  • WooCommerce Photos Product Tab (free, via WordPress.org)
  • WooCommerce Menu Cart (free, WordPress.org)
  • Pushover for WooCommerce (free, via WordPress.org)
  • WooCommerce Subscribe To Newsletter (premium, via WooThemes)
  • WooCommerce Brands [Firmen/ Marken] (premium, via WooThemes)
  • WooCommerce Branding (premium, via WooThemes)
  • Woo Product Importer [CSV-Format] (free, via GitHub.com)
  • WooCommerce Product CSV Import Suite (premium, via WooThemes)
  • WooCommerce Region Filter (premium, via CodeCanyon Marketplace)
  • Dvin Woocommerce Wishlist (premium, via CodeCanyon Marketplace)
  • 404 Silent Salesman (free, via WordPress.org)
  • WooCommerce Email Validation (free, via WordPress.org)
  • experimentell: WooCommerce EU VAT Number (premium, via WooThemes) — funktioniert derzeit nur teilweise, Aufgrund der Struktur der Extension!

DE: Weitere Extensions werden im Laufe der Zeit folgen, alle Handverlesen, ausgewählt nach “Nützlichkeit”, Bedarf etc. — Auf Wunsch kann ich gern – gegen Gebühr – auch gewünschte Extensions übersetzen, sofern diese technisch übersetzbar gemacht wurden. Alle Anfragen bitte über meine Webseite, unter deckerweb.de/kontakt.

Es gelten die gleichen Rechtshinweise wie für die Original-WooCommerce-Sprachdateien! Erweiterungen werden derzeit nur in der formalen SIE-Version angeboten!

EN: More extensions are likely to follow here, but only hand-picked if they are really useful and if there’s a need in the community etc. I could also translate your wanted extension if you contact me. This then will handled via a fee for the translation work. My contact is: deckerweb.de/kontakt.

The same legal advices apply for extension language packs as for the original WooCommerce translations! For the time being, extensions are only offered with formal language packs!

Plugin Links

Spenden / Donate

DE: Gefällt das Plugin WooCommerce Deutsch (de_DE)? Über eine kleine Spende zur weiteren Entwicklung des Projektes freut sich der Entwickler bzw. Übersetzer. Vielen Dank!

EN: Enjoy using WooCommerce German (de_DE)? Please consider making a small donation to support the project’s continued development. Thank You!

Übersetzungen / Translations

Easy plugin translation platform with GlotPress tool: Translate “WooCommerce German (de_DE)”…

Note: All my plugins are internationalized/ translateable by default. This is very important for all users worldwide. So please contribute your language to the plugin to make it even more useful. For translating I recommend the “Poedit Editor”, which works fine on Windows, Mac and Linux.

Dank / Credits

  • DE:
    • Danke an alle Nutzer, Unterstützer, Spender, Korrektur-Leser! Ihr seid echt Spitze! 🙂
    • Ca. 10.000 Downloads in 12 Monaten ist eine super Leistung! Wer hätte das gedacht beim Start dieses Plugins? 🙂
    • Und rund 34.000 Downloads nach 21 Monaten ist auch extremer Wahnsinn 🙂 Danke!
    • Mehr als 54.000 Downloads nach über 2 Jahren ist der Hammer! 🙂 Danke!
    • Mehr als 72.000 Downloads nach über 2,5 Jahren ist der Hammer! 🙂 Danke!
  • EN:
    • Thank you all users, supporters, donaters, proof-readers! You guys rock! 🙂
    • About 10,000 downloads within 12 months is really awesome! Didn’t think ot that when I first started this plugin 🙂
    • And about 34,000 downloads within 21 months is extremely awesome 🙂 Thank You!
    • More than 54.000 downloads after over 2 years is so amazing! 🙂 Thank You!
    • More than 72.000 downloads after over 2.5 years is so amazing! 🙂 Thank You!

Zu guter letzt / Last but not least

DE: Ein ganz besonderer Dank geht an meine Familie, die mir solche Hobbyprojekte (a.k.a. kostenlose Plugins) erlaubt und mich auf alle erdenklichen Weisen unterstützt!

EN: Special Thanks go out to my family for allowing me to do such spare time projects (aka free plugins) and supporting me in every possible way!

Screenshots

Installation

DE:

Installationsschritte

  1. Installations-Alternativen:
    • via WordPress Adminbereich: Zu ‘Plugins > Installieren’ gehen und nach “WooCommerce German” suchen, dann auf “Jetzt installieren” klicken
    • ODER ZIP-Paket direkt hochladen: ZIP-Datei hochladen via ‘Plugins > Installieren > Hochladen’ im WP Adminbereich
    • ODER hochladen per FTP: Den gesamten Ordner woocommerce-de in das Verzeichnis /wp-content/plugins/ hochladen
  2. Das Plugin über das ‘Plugins’ Menü in WordPress aktivieren
  3. Plugin-Einstellungen nach Wunsch tätigen – unter: “WooCommerce > Deutsche Übersetzungen” (seit Pluginversion 3.1.0+)
  4. Nun erscheint die “WooCommerce”-Installation auf Deutsch 🙂
  5. …weitermachen mit der Shop-Verwaltung – ich wünsche viel Erfolg und guten Umsatz 🙂
  6. Hinweis: Die Umschaltung zwischen Sie- und Du-Version erfolgt nun direkt in den Plugin-Einstellungen (siehe Punkt 3 hier)
  7. Weiterer Hinweis: Gegebenenfalls die Permalinkeinstellungen in WordPress selbst (unter “Einstellungen”) sowie die Einstellungen in WooCommerce neu speichern (seit 2.1.0+: bei “Produkte” – bis 2.0.x: bei “Seiten” und “Allgemein”).

WICHTIG: Haftungsausschluss: Durch den Einsatz dieses Plugins und der damit angebotenen Sprachdateien entstehen KEINE Garantien für eine korrekte Funktionsweise oder etwaige Verpflichtungen durch den Übersetzer! — Alle Angaben ohne Gewähr. Änderungen und Irrtümer ausdrücklich vorbehalten. Verwendung des Plugins inkl. Sprachdateien geschieht ausschliesslich auf eigene Verantwortung!

Verwendung angepasster Sprachdateien/ Übersetzungen: Es ist möglich, eigene Sprachdateien Update-sicher via WordPress Sprachdateien-Ordner zu verwenden – es müssen folgende Ordner bzw. Dateien vorhanden sein:

Für WooCommerce v2.x neu (seit Plugin v3.1.0):

  • /wp-content/languages/woocommerce-de/{dateiname-präfix}/{*variante/*}{dateiname-präfix}-de_DE.mo
  • /wp-content/uploads/woocommerce-de/{dateiname-präfix}/{*variante/*}{dateiname-präfix}-de_DE.mo
  • bei Multisite: /wp-content/uploads/sites/{site-id}/woocommerce-de/{dateiname-präfix}/{*variante/*}{dateiname-präfix}-de_DE.mo
  • dateiname-präfix = woocommerce oder woocommerce-admin
  • variante/ = sie-version/ or du-version/
  • Beispiel: /wp-content/languages/woocommerce-de/woocommerce-admin/sie-version/woocommerce-admin-de_DE.mo

Zusätzlich für WooCommerce v2.x – Rückwärtskompatibilität (seit Plugin v1.0.0):

  • /wp-content/languages/woocommerce-de/custom/woocommerce-de_DE.mo
  • /wp-content/languages/woocommerce-de/custom/woocommerce-admin-de_DE.mo

Ordner/ Datei(en) notfalls selbst anlegen. — Falls diese Dateien entsprechend vorhanden sind, werden diese geladen und sonst keine andere Sprachdatei!

–> Aktuelle deutsche WooCommerce-Sprachdateien sind hier zu bekommen, inkl. .po-Datei, die zum Bearbeiten benötigt wird: Download via deckerweb.de

EN:

Installation Steps

  1. Installing alternatives:
    • via Admin Dashboard: Go to ‘Plugins > Add New’, search for “WooCommerce German”, click “install”
    • OR via direct ZIP upload: Upload the ZIP package via ‘Plugins > Add New > Upload’ in your WP Admin
    • OR via FTP upload: Upload entire woocommerce-de folder to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress
  3. Set the plugin settings to your liking, under “WooCommerce > German Translations” (since v3.1.0)
  4. Look at your “WooCommerce” installation now fully translated into German 🙂
  5. Go and manage your shop – good luck with sales 🙂
  6. Note: formal or informal language pack is now being set up in the plugin’s own settings page (see No.3 here 🙂
  7. Also note: Depending on your installation it could neccessary to re-save your WP Permalinks settings and also the WooCommerce settings for “Products” (v2.1.0+) or “General” & “Pages” (v2.0.x).

Custom translations: It’s possible to use a custom language file via WordPress languages folder – the following folder/ files are required for this:

For WooCommerce v2.x new (since plugin v3.1.0):

  • /wp-content/languages/woocommerce-de/{filename-prefix}/{*variant/*}{filename-prefix}-de_DE.mo
  • /wp-content/uploads/woocommerce-de/{filename-prefix}/{*variant/*}{filename-prefix}-de_DE.mo
  • for Multisite: /wp-content/uploads/sites/{site-id}/woocommerce-de/{filename-prefix}/{*variant/*}{filename-prefix}-de_DE.mo
  • filename-prefix = woocommerce or woocommerce-admin
  • variant/ = sie-version/ (formal) or du-version/ (informal)
  • Example: /wp-content/languages/woocommerce-de/woocommerce-admin/sie-version/woocommerce-admin-de_DE.mo

Additional for WooCommerce v2.x – backwards compat (since plugin v1.0.0):

  • /wp-content/languages/woocommerce-de/custom/woocommerce-de_DE.mo
  • /wp-content/languages/woocommerce-de/custom/woocommerce-admin-de_DE.mo

Create folder/ file(s) if needed. — If this is setup only that language file will be loaded no other!

FAQ

Kleine Video-Einführung

mit Plugin-Entwickler & Übersetzer David Decker Original Video-Link

(1) Wie kann ich eigene Übersetzungen verwenden?

Speziell die Ablage unter benutzerdefinierten Pfaden wird beispielhaft erläutert unter “Installation” hier.

Grundprinzip für eigene Übersetzungen wäre ansonsten so:

  1. ENTWEDER eigene Übersetzungen pflegen und in den unterstützten Pfaden ablegen (s.o.) – dann mein Plugin aktiv lassen!
  2. ODER eigene Übersetzungen ohne mein Plugin ganz “auf eigene Faust” …
  3. ODER via Filter bzw. Hooks (von WooCommerce) einzelne Passagen ändern
  4. ODER …da Nr. 3 nicht immer geht, bleibt für Bastler noch die Variante per ‘gettext’-Filter (NICHT empfohlen), oder eben nur Nr. 1 oder Nr. 2 … 🙂

Letzten Endes ergibt mein Sprach-Plugin auch nur Sinn, wenn man es verwenden will. Sprich: Sollen viele, viele Passagen benutzerdefiniert sein, bleibt als wirklich sinnvolle Alternative nur die Pflege einer eigenen Übersetzung!

Die Verwendung von Filtern & Hooks ist grundsätzlich gut, aber eben nur für einige Textpassagen überhaupt verfügbar.

(2) Es ist immer noch alles in Englisch, Übersetzungen werden nicht angezeigt, was tun?

Das liegt höchstwahrscheinlich daran, dass in WordPress noch kein Sprach- bzw. Ländercode eingetragen wurde. Dies muss in der Datei wp-config.php gemacht werden (dort, wo auch die sonstigen Datenbankparameter etc. sind). — Für deutschsprachige Inhalte muss in der Regel folgende Zeile in der wp-config.php stehen: define( 'WPLANG', 'de_DE' );

Für Multisite-Installationen gilt Ähnliches: in der entsprechenden Webseite (Unterblog) muss die Spracheinstellung in den Site- bzw. Blog-Einstellungen auf “German” bzw. “Deutsch” gesetzt sein. Und ja, das Plugin ist Multisite-fähig! 🙂

(3) Nicht komplett: es sind immer noch einzelne Worte bzw. Passagen auf Englisch!

Dafür kann ich nichts, im originalen WooCommerce-Plugin sind immer noch einige wenige Textdomains falsch gesetzt, sodass die bereits vorhandenen Übersetzungen in der Sprachdatei nicht angezeigt werden (können). Ausserdem kann es sein, dass einige Passagen noch nicht übersetzbar gemacht worden sind, d.h. noch keine PHP-Gettext-Funktionalität implementiert wurde. Auch hier sind wir in Kontakt…

Außerdem sind in diesem Plugin ab v3.0.1 Spezialfunktionen integriert, um Textdomain-Fehler u.Ä. von WooCommerce auszubügeln. Aber eine 100%-ige Garantie gibt es dadurch auch nicht!

Englische Strings können nach wie vor von Theme-Templates kommen oder auch von Drittanbieter-Extensions (egal, ob kostenlose oder Premium). In der Regel bringt bereits eine Übersetzung des aktiven Themes eine Verbesserung. — Allerdings kann und werde ich für Themes KEINEN Support anbieten, dies muss bei den jeweiligen Anbietern erfragt werden (insbesondere bei Premium-Themes)!

(4) Durch Verwendung dieses Plugins erhalte ich 404er Fehler?

Das Verhalten ist durchaus möglich, hat aber NICHTS direkt mit diesem Plugin hier zu tun. Es ist nur eine Folge davon, wie WooCommerce funktioniert.

Es tritt auf, wenn man WooCommerce bereits ohne dieses Plugin verwendet hat und bestimmte Permalink-Einstellungen bereits gesetzt sind. Da durch WooCommerce selbst einige Permalinkteile – sogenannte Slugs – neu gesetzt werden, ist das Verhalten möglich. Denn dieses “setzen” erfolgt durch Übersetzungen in den Sprachdateien.

In der Regel ist die Lösung, die Permalinks in WordPress neu zu speichern (“Einstellungen” > “Permalinks”). Außerdem sollten die WooCommerce-Einstellungen der ersten 3 Tabs überprüft und neu gespeichert werden (Allgemein, Katalog, Seiten), dort insbesondere auf die Permalinks-Einstellungen sowie Shop-Basis etc. achten!

(5) Bei Verwendung oder nach Update dieses Plugins oder “WooCommerce” selbst habe ich Probleme mit den Permalinks bekommen?

Dies kann passieren, wenn vorher ältere Versionen von WooCommerce, von diesem Plugin hier oder anderen Sprachdateien aktiv waren. Bitte die Einstellungen in “WooCommerce” (“Seiten” und “Allgemein”) neu speichern! Bitte ebenso die Permalinkeinstellungen von WordPress unter ‘Einstellungen > Permalinks’ neu speichern. Dann sollte alles wieder funktionieren.

(6) Ich kann bestimmte WooCommerce-Spezialseiten vom Shop nicht mehr bearbeiten?

Das kann passieren, wenn mein Plugin nachträglich installiert wurde und VORHER eine andere deutsche Übersetzung oder gar keine Übersetzung verwendet wurde. Die Permalinkteile dieser Seiten (z.B. “Warenkorb”, “Kasse” etc.) werden nämlich durch die Sprachdatei “gesteuert”. Daher muss man einfach diese WooCommerce-Seiten über die Katalog- bzw. Seiteneinstellungen in WooCommerce neu zuordnen und speichern. Danach bitte unter “Einstellungen > Permalinks” ebenfalls neu speichern. (Andere Worte für ‘Permalinkteil’ sind u.a. das Englische “Slug” bzw. teilweise als “Titelform” übersetzt.)

(7) Bei ‘Kasse’ (Checkout) endloses Laden, kein Bestellabschluss und keine E-Mails…?!?

Leider treten solche Fälle auf, unter folgenden Umständen:

  • Verfügbarer PHP-Speicher (RAM) ist zu niedrig, sollte erfahrungsgemäß mind 96M betragen, besser höher!
  • WooCommerce hat sehr viele übersetzbare Texte, die zu den WordPress-eigenen Übersetzungen, dem aktiven Theme sowie aktiven Plugins HINZUKOMMEN! Dies muss alles verarbeitet werden und braucht Speicher sowie Ladezeit.
  • Hat WordPress bzw. WooCommerce zu wenig PHP-Speicher zur Verfügung, steigt es einfach aus, was sich im WooCommerce-Bezahlvorgang mit endlos-drehenden Ladeanimationen zeigen kann…

Lösungen:

  1. PHP-Speicher erhöhen!
  2. Falls 1.) nicht möglich, Hosting-Anbieter wechseln! — Bei guten Anbietern kann man den Wert auch ändern und es wird nichts geblockt!
  3. Evtl. nicht benötige Plugins deaktivieren und löschen.
  4. Evtl. nicht benötigte Übersetzungen am Laden hindern bzw. entfernen.
  5. Evtl. das Theme wechseln, sollte es sich als großer “Flaschenhals” bzw. Performance-Bremse erweisen. Zahlreiche Themes vom Marktplatz “ThemeForest” gehören leider dazu. — Die Erfahrung im Benutzersupport zeigt, dass ThemeForest-Themes mit 20 Theme-eigenen JavaScripten leider keine Seltenheit sind. Solche Code-Desaster sollten schleunigst entsorgt und durch Qualität ersetzt werden!!!
(8) Ist die Unterstützung der “Button-Lösung” gesichert?

JA! Volle Unterstützung für den Text des Buttons! Wie gesagt, für den Text des Buttons bzw. sonstige Übersetzungen. Für die Umsetzung der “Button-Lösung” und des damit einhergehenden Gesetzes sind Shop-Betreiber jedoch selbst verantwortlich, denn das umfasst viel mehr als den Bestell-Button beim Bezahlvorgang …!

  • Die Standardeinstellung der Sprachdateien für WooCommerce ist gesetzt auf: “Kaufen” —> dies ist die mittlerweile gängigste und am meisten Gewünschte aller Formulierungen und zugleich die Universellste, daher der Standard!
  • Zur Erleichterung von Anpassungen gibt es gleich 3 (drei!) Helfer-Funktionen:

Helfer-Funktion 1:

/** WooCommerce German (de_DE): Kasse Bestell-Button "Kaufen" */
add_filter( 'woocommerce_order_button_text', '__wcde_order_button_kaufen' );

–> Hinweis: Dies ist der Standard, d.h. in aller Regel braucht man diese Funktion nicht – höchstens bei angepassten eigenen Sprach-Dateien im Theme-Ordner, somit kann man immer die Button-Lösung erfüllen!

Helfer-Funktion 2:

/** WooCommerce German (de_DE): Kasse Bestell-Button "Zahlungspflichtig bestellen" */
add_filter( 'woocommerce_order_button_text', '__wcde_order_button_zahlungspflichtig_bestellen' );

Helfer-Funktion 3:

/** WooCommerce German (de_DE): Kasse Bestell-Button "Zahlungspflichtigen Vertrag schließen" */
add_filter( 'woocommerce_order_button_text', '__wcde_order_button_zahlungspflichtigen_vertrag' );

–> Wohin mit den jeweiligen Code-Schnipseln?: Nur EINEN von den 3 Code-Schnipeln in die Datei functions.php des Themes/ Child Themes, in einen Schnipelmanager oder in ein sogen. “Functionality-Plugin” einfügen. (Hinweis: bei “Thesis” 1.8.x in die custom_functions.php bzw. bei anderen Themes/ Frameworks evtl. ähnlich.)

GANZ WICHTIG:

Eine RechtsBERATUNG zu diesem Themenkomplex kann NUR durch einen ANWALT erfolgen (am besten auf Online-Recht spezialisierte Anwälte!). Bitte auch Infos in den einschlägigen Blogs für Shopbetreiber, der (Fach-) Presse sowie von den Industrie- und Handelskammern beachten. — Ich als Plugin-Entwickler kann via Sprachdatei KEINE “Rechtssicherheit” garantieren, dies können nur Shop-Betreiber selbst, mit anwaltlicher Unterstützung!

(9) Kommt es zu Konflikten mit den bestehenden Sprachdateien?

Nein. Die Sprachdateien von diesem Plugin hier werden eher geladen. Die im Shop-Plugin vorhandenen Dateien werden einfach ignoriert.

(10) Wie kann ich die Texte beim Bezahlvorgang ändern (Bestell-Button, Bestätigen AGB etc.)?

Aufgrund verschiedener Aspekte, die auf diese Texte Einfluss nehmen, ist dies am besten über sogenannte Filter-Hooks möglich. Auf unserer Codeschnipsel-Seite sind mehrere Beispielfunktionen enthalten, wo man nur noch den eigenen Text anpassen muss.

Diese gehören dann in die functions.php Datei des Themes/ Child Themes (Backup machen vorher!), bzw. besser in ein Functionality-Plugin oder eine Schnipselverwaltung à la “Code Snippets”-Plugin.

(11) Durch Übersetzungsfehler habe ich Probleme mit Kunden bekommen…

Dafür kann ich nichts! Siehe Haftungsausschluss: Durch den Einsatz dieses Plugins und der damit angebotenen Sprachdateien entstehen KEINE Garantien für eine korrekte Funktionsweise oder etwaige Verpflichtungen durch den Übersetzer! — Alle Angaben ohne Gewähr. Änderungen und Irrtümer ausdrücklich vorbehalten. Verwendung des Plugins inkl. Sprachdateien geschieht ausschliesslich auf eigene Verantwortung!

Hinweis: Dieses Plugin ist ein reines Sprach-/ Übersetzungs-Plugin, es hat nichts mit “Rechtssicherheit” zu tun. Für alle rechtlichen Fragen ist der Shop-Betreiber zuständig, nicht die “Sprachdatei”!

(12) Sogen. “String Swaps” deaktivieren, wie?

Über Plugin-Einstellungen – oder manuell:

Seit Version v3.0.20 dieses Plugins wurden alle ‘gettext’ Filter entfernt. Diese wurden mit einer neuen String-Ersetzungstechnik ersetzt, sogenannten “String Swaps”. Möchte man diese nicht laden, gibt es drei Möglichkeiten:

1) In den Plugin-Einstellungen (unter “WooCommerce > Deutsche Übersetzungen”) einfach deaktivieren. (Geht seit Pluginversion 3.1.0 oder höher!)

2) Das Laden der Datei unterbinden, via:

/** WooCommerce German (de_DE): Keine String-Swaps laden */
define( 'WCDE_LOAD_STRING_SWAPS', FALSE );

3) Nur das Ausführen des String-Swap Action Hooks verhindern, via:

/** WooCommerce German (de_DE): Keine String-Swaps ausführen */
add_filter( 'wcde_filter_do_string_swaps', '__return_false' );

–> Hiermit bliebe dann die Helferfunktion erhalten und könnte daher auch individuell eingesetzt werden, falls notwendig… 🙂

(13) Länderübersetzung “Österreich”?

Natürlich übersetzt mit “Österreich”, was auch sonst?! 🙂

Das mögliche “Problem” ist der Anfangsbuchstabe “Ö”: einige Themes bzw. Installationen mit JavaScript-Problemen können die alphabetische Sortierung nicht auf die Reihe kriegen und zeigen Österreich ganz am Ende, Anfang oder sonstwo an, wo es die Benutzer natürlich weder erwarten noch finden können. Daher kann man mit diesem Codeschnipel das Wort auf “Oe” am Anfang setzen, sollte es immer noch solche Probleme geben: https://gist.github.com/deckerweb/5804120

P.S. Zwischenzeitlich war dies sogar im Plugin drin bis vor Version 3.0.13 — siehe FAQ-Eintrag hier ganz unten.

(14) Extensions-Support – kannst du auch Erweiterung X, Y übersetzen?

Ja, das ist möglich! Auf Wunsch kann ich gern – gegen eine Gebühr für den entstandenen Aufwand – gewünschte Extensions übersetzen, sofern diese von den jeweiligen Herausgebern/ Entwicklern technisch übersetzbar gemacht wurden. Alle Anfragen bitte über meine Webseite, unter deckerweb.de/kontakt. Sehr viele kostenlose und Premium-Erweiterungen sind bereits technisch übersetzbar gemacht worden, daher bitte nicht zögern eine Anfrage zu stellen! 🙂

Achtung: Ob solche Ergänzungen in dieses kostenlose Plugin aufgenommen werden, ist eine gesonderte Entscheidung! Eine Garantie dafür gibt es nicht!

(15) Extensions-Support – warum so viele, kann man das nicht abschalten?

Gute Frage, hehe :). – Übersetzungen für Extensions werden überhaupt nur geladen, wenn die jeweilige Extension auch aktiv ist. Dadurch wird wertvolle Performance gespart! Sollte eine Extension nur im Admin-Bereich aktiv sein, werden die Übersetzungen dann auch nur dort geladen (sofern technisch möglich) und nicht im Frontend. Derzeit kann das Laden aller Übersetzungen ganz bequem über die Plugin Einstellungen-Seite (seit v3.1.0+) – oder manuell via Mini-Plugin deaktiviert werden. Das Mini-Plugin von hier laden/ kopieren: https://gist.github.com/deckerweb/5197996

Alternativ können PLUGIN-Entwickler auch folgende Zeile in ihre Extension/ sonstiges (Multisite-) Plugin packen, das hat denselben Effekt. Wichtig: Es MUSS ein Plugin sein, ins Theme kopieren, funktioniert hier nicht!

/** WooCommerce German (de_DE): Keine Übersetzungen für Erweiterungen laden */
define( 'WCDE_LOAD_EXTENSION_SUPPORT', FALSE );
(16) Warum hat dieses Plugin keine weitere Funktion X, Y?

Ganz einfach, es handelt sich um ein reines Sprach- bzw. Übersetzungs-Plugin, welches das Shop-Plugin selbst eindeutscht. Weitere Funktionen/ Features sind nicht vorgesehen, da diese nur den Code unnötig aufblähen und die Pflege erschweren. Für derartige Funktionserweiterungen sind evtl. andere Plugins in Planung – bzw. auch von anderen (deutschen) WordPress-Entwicklern.

(17) Ich habe Korrekturen und Verbesserungen, wohin damit?

Jederzeit willkommen! — Bitte mitteilen über Twitter @deckerweb oder deckerweb.de — Vielen Dank!

(18) Wo kann man spenden für die Pflege der Übersetzungen und Weiterentwicklung des Plugins?

Jede Spende ist höchst willkommen und eine tolle Motivation und Unterstützung meiner Arbeit! 🙂

Direkt zur Spendenseite bei deckerweb.de/sprachdateien/spenden/

Danke für jede Unterstützung! 🙂

(19) Wo ist die Unterstützung für WooCommerce Version 1.6.x?

Ganz ehrlich, diese Version von WooCommerce sollte NICHT MEHR eingesetzt werden. Punkt. (Gibt keine Aktualisierungen mehr dafür, die meisten Erweiterungen und Themes kommen damit nicht mehr klar!)

Die Unterstützung meinerseits wurde quasi mit Plugin-Version v3.0.0 eingestellt – im März 2013! Ab der Plugin-Version v3.1.0 liegen auch KEINE 1.6.x-er Übersetzungen mehr bei!

Wer mein Sprach-Plugin noch für WooCommerce 1.6.x braucht, der nehme bitte die Version 3.0.20 – herunterladen hier: v3.0.20 ZIP-Paket / Developers-Seite mit allen Alt-Versionen

(20) Wie kann ich mit “Codestyling Localization” Plugin die Übersetzungen bearbeiten?

Gar nicht. Für die beiliegenden Übersetzungen in meinem Plugin geht es nicht, weil “Codestyling Localization” (CSL) dafür nicht gemacht wurde!

Und für “WooCommerce” selbst? Da geht es auch nicht, weil CSL bereits seit März 2013, also WC 2.0.x, NICHT mehr damit kompatibel ist! Es kommt mit der Aufsplittung der Sprachdateien in WooCommerce nicht klar. Außerdem unterstützt CSL noch die alten Variantenordner, die mit WC 2.1.x abgeschafft wurden.

Wer sich also nicht irgendwas Sprachdateien-mäßig “zerhacken” will, der lasse bitte die Finger von CSL – in Bezug auf WooCommerce und mein Plugin. Danke! 🙂

Update: Das gilt natürlich leider auch weiterhin für den neuen WooCommerce-Zweig 2.2.0 oder höher!

(21) Unterstützung für Gesetzesänderungen ab 06/2014

Dies wurde mit Sprachplugin-Version 3.2.0 eingeführt, d.h. das Wort “Widerruf” wurde aus dem AGB-Satz beim Bezahlvorgang entfernt!

(22) Für was wird Support angeboten?

Hier bei WordPress.org und darüber hinaus: NUR für dieses vorliegende Plugin (WooCommerce German (de_DE) bzw. woocommerce-de) und dessen BEILIEGENDE Übersetzungen!

Außerdem: Ich bin NICHT verpflichtet, Support zu leisten. Die Nutzung des Plugins ist völlig freigestellt.

Es wird versucht, so gut als möglich, anfallende Supportanfragen zu beantworten. Eine Wartezeit ist dabei nicht ausgeschlossen, da aller Support ausschließlich in meiner Freizeit geschieht.

Ich sag es mal so: Wer freundlich anfragt und auch mal konkret übers Spenden nachdenkt, bekommt sicherlich auch gut geholfen auf die ein oder andere Weise 🙂

Danke für Dein/ Ihr Verständnis!

Nur bei Plugin-Versionen VOR v3.0.20:

(Z.1) “P3 Profiler” Plugin meldet Performance-Anstieg…!?

Das ist nicht verwunderlich! Dort, wo Übersetzungen in WordPress geladen und angezeigt werden, WIRD Speicher und Serverperformance genutzt. Das kann man grundsätzlich nicht verhindern, ansonsten müsste man ganz auf Übersetzungen verzichten. Die Performance ist aber stark Serverabhängig! Hinzu kommt, dass dieses “P3 Profiler”-Plugin genau dieses Laden auf dem Server analysiert, NICHT die Ladezeit im Browser des Besuchers – ein wichtiger Unterschied.

Generell sollte man für eine WordPress-/ WooCommerce-Installation einen ordentlich schnellen Server wählen und den PHP-Speicher durchaus üppig vergeben, ich würde mindestens 128M verwenden!

Plugins, wie “MO Cache” können evtl. die Performance steigern, da Sprachdateien so gecacht werden (das Plugin muss man testen, kann man nicht pauschal sagen!).

Seit Version 3.0.4 können die (derzeit 2) Gettext Filter deaktiviert werden. Gettext-Filter können (müssen aber nicht) evtl. auf die Performance drücken… Sind die Filter des Plugins abgeschaltet, muss man sich aber selbst um die Korrekte Übersetzung der Begriffe kümmern, insbesondere beim Bezahlvorgang (Checkout)! – Derzeit kann das Einbinden der Filter via Konstante abgeschaltet werden. Das Mini-Plugin von hier laden/ kopieren: https://gist.github.com/deckerweb/5200004

Alternativ können PLUGIN-Entwickler auch folgende Zeile in ihre Extension/ sonstiges (Multisite-) Plugin packen, das hat denselben Effekt. Wichtig: Es MUSS ein Plugin sein, ins Theme kopieren, funktioniert hier nicht!

/** WooCommerce German (de_DE): Keine Gettext-Filter laden */
define( 'WCDE_LOAD_GETTEXT_FILTERS', FALSE );

Nur bei Plugin-Versionen von v3.0.4 bis v3.0.13:

(Z.2) Warum wird “Österreich” jetzt am Anfang mit “Oe” übersetzt?

Aufgrund von Benutzeranfragen wurde dies ab Version 3.0.4 von mir auf “Oe” geändert, damit auch Themes bzw. Installationen mit JavaScript-Problemen, wenigstens eine einigermaßen benutzbare Länderliste angezeigt bekommen. D.h. dort, wo das “erweiterte Benutzerinterface” (“Chosen” JavaScript-Bibliothek) nicht aktiviert ist bzw. verwendet werden kann. Es kann aber sein, dass Österreich dennoch unter “A” gelistet ist, da die Liste den englischen Originalbegriffen folgt, daher: Austria = Oesterreich.

Über die Sinnhaftigkeit des Ganzen kann man lange streiten! Allerdings sind österreichische Shop-Anbieter schon sehr gestraft, wenn deren Kunden ihr Heimatland erst am Ende einer Liste von rund 200 Ländern finden – wo sie es natürlich niemals vermuten würden!

P.S. Ich selber konnte das Problem nicht nachstellen, hab es mir aber von Betroffenen Webmastern so erläutern lassen.

Contributors & Developers

“WooCommerce German (de_DE)” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

3.2.0 (2014-09-12)

  • DE:
    • Aktualisierung der Sprachpakete für neue WooCommerce Versionen 2.2.0 – 2.2.2
    • Aktualisierung der Sprachpakete für vorherigen WooCommerce Zweig 2.1.x – 2.1.12
    • ACHTUNG: Unterstützung für vor-vorherigen 2.0.x Zweig wurde hiermit eingestellt!
    • UPDATE: Anpassung an neue Gesetzesänderungen (ab 06/2014), AGB-Satz im Bestellvorgang ohne “Widerruf”, d.h. nun folgendermaßen: Sie müssen unseren Allgemeinen Geschäftsbedingungen (AGB) zustimmen.
    • UPDATE: Fehlerbehebung für Adminbereich.
    • CODE: Weitere interne Code-Optimierungen und -Verbesserungen.
  • EN:
    • Updated language packs for new WooCommerce versions 2.2.0 – 2.2.2
    • Updated language packs for former WooCommerce branch 2.1.x – 2.1.12
    • NOTE: Support for former-former 2.0.x branch was removed!
    • UPDATE: Due to law changes in Germany (since 06/2014) change of “conditions sentence” on checkout now without “Widerruf”!
    • UPDATE: Bug fixing for admin.
    • CODE: More internal code improvements.

3.1.5 (2014-03-27)

  • DE:
    • Aktualisierung der Sprachpakete für neue WooCommerce Versionen 2.1.4 – 2.1.6
    • UPDATE: Neuer Filter Hook für den “AGB”-Text beim Bezahlvorgang – notwendig aufgrund der vielen Änderungen in WooCommerce v2.1.6 (die beiden alten Filter gehen dann nur noch bei Templates, welche alte Strings verwenden!).
    • CODE: Weitere interne Code-Optimierungen und -Verbesserungen.
  • EN:
    • Updated language packs for new WooCommerce versions 2.1.4 – 2.1.6
    • UPDATE: New filter hook for the “terms” text on checkout process – necessary because of the many changes in WooCommerce v2.1.6 (both of our old filters will only continue to work if you have still templates with the old strings!).
    • CODE: More internal code improvements.

3.1.4 (2014-03-03)

  • DE:
    • Aktualisierung der Sprachpakete für neue WooCommerce Version 2.1.3
    • Weitere Verbesserungen, Korrekturen und kleinere Änderungen an den Sprachdateien.
    • FIX: Schnellbearbeitung (QuickEdit) nun wieder möglich in der Produktübersicht im Adminbereich.
    • CODE: Weitere interne Code-Optimierungen und -Verbesserungen.
  • EN:
    • Updated language packs for new WooCommerce version 2.1.3
    • Further improvements, corrections and smaller tweaks for the language files.
    • FIX: QuickEdit feature now works again in product overview screen in admin area.
    • CODE: More internal code improvements.

3.1.3 (2014-02-17)

  • DE:
    • Aktualisierung der Sprachpakete für neue WooCommerce Version 2.1.2
    • Neue Option für Admin-String-Swap (für “Produktbild”).
    • FIX: E-Mail-Kontrollkästchen (Checkbox) für WooCommerce 2.0.x Zweig wird wieder korrekt angezeigt (Grund war: falsche Textdomain in WooCommerce, durch doppeltes Lade von Sprachdateien falsche Anzeige).
    • CODE: Weitere interne Code-Optimierungen und -Verbesserungen.
  • EN:
    • Updated language packs for new WooCommerce version 2.1.2
    • New option for admin string swap (for “Product Image”).
    • FIX: Email checkboxes for WooCommerce 2.0.x branch are displayed properly again (reason was: wrong textdomain in WooCommerce; double loading of language files lead to wrong display).
    • CODE: More internal code improvements.

3.1.2 (2014-02-13)

  • DE:
    • FIX: Debug-Warnung behoben.
  • EN:
    • FIX: Debug warning fixed.

3.1.1 (2014-02-13)

  • DE:
    • Aktualisierung der Sprachpakete für neue WooCommerce Version 2.1.1
    • FIX: Debug-Hinweise/ -Fehler behoben.
    • NEU: Neuer interner String Swap (Begriffsänderung) für “Produktbild”, um diesen Begriff zu erzwingen.
    • NEU: Benutzerhinweis in der Metabox bei “Produktbild”.
  • EN:
    • Updated language packs for new WooCommerce version 2.1.1
    • FIX: Debug notices fixed.
    • NEW: New internal string swap for “Product Image” to enforce this string.
    • NEW: User advise in the meta box for “Product Image”.

3.1.0 (2014-02-09)

  • DE:
    • Hinzufügen sowie Aktualisierung der Sprachpakete für neue WooCommerce Version 2.1.0
    • Fehlerkorrekturen und Verbesserungen für beide Sprachpaket-Zweige, für v2.1.0+ sowie bis v2.0.20.
    • Große Teile des Plugins wurden komplett neu geschrieben: Performance, Sicherheit sowie Wartung & Pflegbarkeit! 🙂
    • NEU: Jetzt mit eigener Plugin Einstellungen-Seite (“WooCommerce > Deutsche Übersetzungen”): lange geplant, nun mit WooCommerce 2.1 sogar notwendig geworden! SIE-/ DU-Version einstellbar, ebenso Ladeort der Übersetzungen, sowie Optionen für Extensions und String Swaps.
    • Nun mit weiteren Infoseiten zu deutschen Übersetzungen (unter “Dashboard > Übersetzungen Info”).
    • Eigene deutsche Übersetzung des Plugins aktualisiert, inklusive .pot-Datei für Übersetzer.
    • Readme.txt hier aktualisiert und verbessert.
    • Jetzt mit Screenshots vom Plugin! 🙂
  • EN:
    • Added and updated language packs for new WooCommerce version 2.1.0
    • Corrections and improvements for both language pack branches, for v2.1.0+ plus legacy v2.0.20.
    • Great parts of the plugin got refactored: performance, security plus better maintenance!
    • NEW: Now with its own plugin settings plage (“WooCommerce > German Translations”): long planned but with WooCommerce 2.1 it was also necessary! Formal/ informal setting, loading location of translations, plus options for extensions and string swaps.
    • Now with further info pages for German translations (under “Dashboard > Übersetzungen Info” – Note: only in German!).
    • Updated plugin’s own (German) translations, including .pot file for all translators.
    • Updated and improved readme.txt here.
    • Added plugin screenshots! 🙂

3.0.20 (2013-12-04)

  • DE:
    • Aktualisierung der Sprachpakete für neue WooCommerce Versionen 2.0.14 bis 2.0.20
    • Alle Gettext Filter wurden aus dem Plugin entfernt, damit sollte es keine Performance-Probleme mehr geben! Die bisherigen Funktionen wurden durch bessere Text-Ersetzungsfunktionen ersetzt.
    • FAQ-Einträge hier ergänzt bzw. bearbeitet.
    • Verbesserte Prüfung auf deutschsprachige Umgebung (locale) sowie auf “WPML” Webseiten-Sprache.
    • Code: Kleinere Code-Optimierungen.
    • 1 Extension-Übersetzung entfernt, welche nun der Extension direkt beiliegt.
  • EN:
    • Updated language packs for new WooCommerce versions 2.0.13 – 2.0.20
    • Removed all Gettext filters from plugin to improve performance – replaced with better string swap functions and logic.
    • Added new FAQ entries here and modified a few existing ones.
    • Improved checks for German locale based enviroment as well as for “WPML” site language.
    • Code: Small code enhancements/ improvements.
    • Removed 1 extensions translation pack as it is now part of the extension itself.

Alte Plugin-Historie (Changelogs) / Old plugin changelogs

  • https://gist.github.com/deckerweb/5168333